Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#64982 - [gottengeography] Crashes with ImportError: cannot import name 'clock' from 'time'

Attached to Project: Community Packages
Opened by Christoph (Chrissss) - Sunday, 29 December 2019, 18:46 GMT
Last edited by Balló György (City-busz) - Thursday, 09 January 2020, 11:22 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Balló György (City-busz)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Gottengeography crashes as soon as the program is started:

$ pacman -Ss gottengeography
community/gottengeography 2.5-8 [Installiert]
Easy to use photo geotagging application for the GNOME desktop
$ gottengeography
/usr/bin/gottengeography:8: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/bin/gottengeography:39: PyGIWarning: Champlain was imported without specifying a version first. Use gi.require_version('Champlain', '0.12') before import to ensure that the right version gets loaded.
from gi.repository import Champlain
/usr/bin/gottengeography:51: PyGIWarning: GExiv2 was imported without specifying a version first. Use gi.require_version('GExiv2', '0.10') before import to ensure that the right version gets loaded.
from gi.repository import GExiv2
/usr/lib/python3.8/site-packages/gg/app.py:13: PyGIWarning: GtkClutter was imported without specifying a version first. Use gi.require_version('GtkClutter', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import GLib, GObject, GtkClutter, Gtk, Gdk, Gio
/usr/lib/python3.8/site-packages/gg/widgets.py:20: PyGIWarning: GtkChamplain was imported without specifying a version first. Use gi.require_version('GtkChamplain', '0.12') before import to ensure that the right version gets loaded.
from gi.repository import GtkChamplain, Champlain

(gottengeography:9429): Gtk-WARNING **: 19:31:42.751: Content added to the action area of a dialog using header bars

(gottengeography:9429): Gtk-WARNING **: 19:31:42.751: Content added to the action area of a dialog using header bars
Traceback (most recent call last):
File "/usr/bin/gottengeography", line 71, in <module>
from gg.app import GottenGeography
File "/usr/lib/python3.8/site-packages/gg/app.py", line 27, in <module>
from gg.xmlfiles import TrackFile
File "/usr/lib/python3.8/site-packages/gg/xmlfiles.py", line 18, in <module>
from time import clock
ImportError: cannot import name 'clock' from 'time' (unknown location)
This task depends upon

Closed by  Balló György (City-busz)
Thursday, 09 January 2020, 11:22 GMT
Reason for closing:  Fixed
Additional comments about closing:  gottengeography 2.5-9
Comment by Eli Schwartz (eschwartz) - Sunday, 29 December 2019, 19:01 GMT
Deprecated since python 3.3, removed in python 3.8: https://docs.python.org/3.7/library/time.html#time.clock

Upstream appears to be dead, though the patch is fairly simple.

Loading...